Should I update to 5.5.1 or stay in 5.3.2?

Discussion in 'Wii U - Hacking & Backup Loaders' started by bikthor, May 3, 2016.

  1. bikthor
    OP

    bikthor Member

    Newcomer
    15
    3
    Mar 21, 2016
    Hello everybody!

    I've just found out that the exploit for 5.5.X have been leaked. And I don't know too much about it, but it seems like it's an IOSU exploit. So, I supose that in the short term it will allow doing more things that the 5.3.2 exploit does.

    Could somebody with more knowledge in this matter help me to take a decision? I guess that I'm not the only one in this situation, so maybe this post could help someone else.
     


  2. derkiederk

    derkiederk Advanced Member

    Newcomer
    82
    79
    Oct 15, 2010
    You should read more before making threads, that's for sure.
     
  3. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,339
    5,752
    Apr 20, 2015
    United States
    Tigard, OR
    stay behind, there's no reason to update really:
     
    cearp, MarcusD and mech like this.
  4. Soukai

    Soukai Member

    Newcomer
    26
    2
    Jan 19, 2016
    Germany
    It was said dozens of times, u should stay at the lowest fw, if u want an easy iosu hack, - or something like that. I dont think ur able to do more, than on 5.3.2.
     
  5. Arck

    Arck GBAtemp Advanced Fan

    Member
    698
    325
    Mar 13, 2016
    don't update, 5.5.1 kexploit is very shitty (unstable as fuck)
     
  6. bikthor
    OP

    bikthor Member

    Newcomer
    15
    3
    Mar 21, 2016
    Yes, I read that quite a while ago. But I thought that the new kernel was an IOSU hack. Thanks for your replies.

    You are probably right, but you'd have spent the same time just answering the question.

    Ok, I'll take it into account. Thank you for sharing your opinion.
     
    Last edited by bikthor, May 3, 2016
  7. Nikolay

    Nikolay GBAtemp Fan

    Member
    422
    41
    Mar 19, 2010
    United States
    It's been 100% for me
     
  8. Arck

    Arck GBAtemp Advanced Fan

    Member
    698
    325
    Mar 13, 2016
    not for me

    Nothing is better than 5.3.2, more vulnerability
     
  9. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,445
    4,762
    Mar 17, 2010
    Norway
    Alola
    100% for me as well and from what I heard this exploit is more stable than the old one.
     
    TeddyBearYoshi likes this.
  10. Reecey

    Reecey Mario 64 (favorite game of all time)

    Member
    4,149
    1,078
    Mar 7, 2010
    At Home :)
    What a stupid thread! You would stay on 532, obviously!. I doubt very much 5.5x is as stable as 532 and I would bet my poor granny on it! [​IMG]
     
    Last edited by Reecey, May 3, 2016
    Arck likes this.
  11. mech

    mech ♥️♥️♥️♥️♥️♥️♥️♥️

    Member
    4,391
    2,700
    Oct 26, 2014
    Tonga
    Always stay as low as you can,
     
  12. bikthor
    OP

    bikthor Member

    Newcomer
    15
    3
    Mar 21, 2016
    The thing was that I thought that the 5.5.1 exploit was an IOSU exploit not only a kernel exploit. So, in that case it wasn´t so obvious.
    And the 5.5.1 firmware have another advantages right now, like playing online with original games. Something to take into account. Although it is probably a short-lived advantage.
     
  13. Arck

    Arck GBAtemp Advanced Fan

    Member
    698
    325
    Mar 13, 2016
    not for me :/

    — Posts automatically merged - Please don't double post! —

    you can spoof the 5.5.1 with wupinstaller to play online
     
  14. lordelan

    lordelan GBAtemp Maniac

    Member
    1,484
    413
    Jan 4, 2015
    Gambia, The
    As stupid as it might be: Is there any advantage in 5.5.x over 5.3.2? New libraries needed for specific games or something like that? Because tbh I thought about it myself whether it's wise to update.
    But in wait of an IOSU exploit it's not obviously.
     
  15. mech

    mech ♥️♥️♥️♥️♥️♥️♥️♥️

    Member
    4,391
    2,700
    Oct 26, 2014
    Tonga
    The patch notes from ninty from 5.3.2 to 5.5.1 are all stability if that helps :P
     
    MattKimura likes this.
  16. bikthor
    OP

    bikthor Member

    Newcomer
    15
    3
    Mar 21, 2016
    Yes, I know, but the spoofing does not convince me. As far as I know, it's irreversible, and nobody knows what problems it can cause in the future.
    Yes, I thought about the same thing. Staying at 5.3.2 will probably lessen the compatibility with future games.
     
  17. mech

    mech ♥️♥️♥️♥️♥️♥️♥️♥️

    Member
    4,391
    2,700
    Oct 26, 2014
    Tonga

    5.3.2 has pretty much complete compatability for the games and vc games. I'm not sure about the new 5.5.1 because roms don't just work out of the box.
     
    Last edited by mech, May 3, 2016 - Reason: Spelling.
  18. sarkwalvein

    sarkwalvein Professional asshole at GBATemp

    Member
    GBAtemp Patron
    sarkwalvein is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,673
    4,664
    Jun 29, 2007
    Germany
    Niedersachsen
    You should blend it and add some lemon juice.
    They say it makes a great soft drink for the summer time.
     
  19. Reecey

    Reecey Mario 64 (favorite game of all time)

    Member
    4,149
    1,078
    Mar 7, 2010
    At Home :)
    Why would it be an issue with future games you spoof a 532 to 551 anyway. A spoofed 532 is as good as a 551, you get the best of both worlds that way! :)

    @bikthor as well :)
     
    Last edited by Reecey, May 3, 2016
  20. lordelan

    lordelan GBAtemp Maniac

    Member
    1,484
    413
    Jan 4, 2015
    Gambia, The
    Ehm ... sorry but this is not true.
    Spoofing does nothing but changing a file to make the console think it's on 5.5.1 in order to trick Nintendo and play online or buy stuff.
    It's like using a Windows 10 boot animation on your Windows XP machine to fool your friends.
    So my question was whether any new libaries have been added which might is being used by newer games to increase compatibility.
    But since it's (ofiicially) only "stability" stuff 5.3.2 may really be enough to go for a while.